<?xml version="1.0" encoding="UTF-8"?>

<cfsSimulation xmlns="http://www.cfs++.org/simulation">
  <fileFormats>
    <output>
      <hdf5 directory="./"/>
      <info/>
    </output>
    <materialData file="mat.xml" format="xml" />
  </fileFormats>

  <domain geometryType="3d">
    <regionList>
      <region material="99lines" name="mech" />
    </regionList>
<!--     <nodeList> -->
<!--       <nodes name="load"> -->
<!--         <coord x="1.0" y="0.5" z="1.0"/> -->
<!--       </nodes> -->
<!--     </nodeList> -->
  </domain>

  <sequenceStep index="1">
    <analysis>
      <static/>
    </analysis>

    <pdeList>
      <mechanic subType="3d">
        <regionList>
          <region name="mech" />
        </regionList>

        <bcsAndLoads>
           <fix name="top"> 
              <comp dof="x"/> 
              <comp dof="y"/>
              <comp dof="z"/>
           </fix>
          <force name="bottom">
              <comp dof="y" value="-1"/>
          </force>
        </bcsAndLoads>
        <storeResults>
          <nodeResult type="mechDisplacement">
            <allRegions />
          </nodeResult>
          <elemResult type="mechPseudoDensity">
            <allRegions/>
          </elemResult>          
          <elemResult type="physicalPseudoDensity">
            <allRegions/>
          </elemResult>             
       </storeResults>
      </mechanic>
    </pdeList>
    
    <linearSystems>
      <system>
        <solutionStrategy>
          <standard>
            <matrix storage="sparseNonSym"/>
          </standard>
        </solutionStrategy>
        <solverList>
          <lis>
            <precond><ssor/></precond>
            <solver><CG></CG></solver>
            <maxIter>1000000</maxIter>
            <minimalTolerance>1e-8</minimalTolerance>
          </lis>
        </solverList>
      </system>
    </linearSystems>
  </sequenceStep>

  <optimization log="">
    <costFunction type="compliance" task="minimize" multiple_excitation="false">
      <stopping queue="999" value="0.002" type="designChange" />
    </costFunction>

    <constraint type="volume" bound="upperBound" value="0.5" linear="false"/>

    <optimizer type="evaluate" maxIterations="10"/>

    <ersatzMaterial region="mech" material="mechanic" method="simp">

      <design name="density" initial="0.5" lower="1e-3" upper="1.0" />
      <transferFunction type="simp" application="mech"  param="3" />

    </ersatzMaterial>
    <commit mode="each_forward" stride="1" />
  </optimization>
 
  
</cfsSimulation>


